import Vue from "vue";
import App from "./App";
import store from "./store";
import router from "./router";
import * as utils from "./utils/index.js";
import "@/vab";
import "@/vxeTable";
import BaiduMap from "vue-baidu-map";

/**
 * @description 正式环境默认使用mock，正式项目记得注释后再打包
 */
// if (process.env.NODE_ENV === "production") {
//   const { mockXHR } = require("@/utils/static");
//   mockXHR();
// }
Vue.config.productionTip = false;
Vue.prototype.$_common = utils;
Vue.use(BaiduMap, {
  ak: "n0g6befznYg5jVx5r7GcvjOBUewHV9wa",
});
new Vue({
  el: "#vue-admin-beautiful-pro",
  store,
  router,
  render: (h) => h(App),
});
